Name:		KParticleCPUMeter
Summary:	Particle Spraying CPU meter is an applet for KDE Kicker that displays the CPU activity.
Version:	0
Release:	alt1.M40.1
Group:		Graphical desktop/KDE
License:	GPL
Packager: 	Mikhail Pokidko <pma@altlinux.ru>
URL:		http://www.haenselmann.de/indexhb_en.html
Source0:	%name.tgz
Source1:	%name.png
Patch0:		%name-icon.diff

# Automatically added by buildreq on Fri Sep 07 2007
BuildRequires: gcc-c++ imake kdelibs-devel libXext-devel libXt-devel libdnet-devel libqt3-devel xorg-cf-files

BuildRequires: libhal-devel libqt3-devel ImageMagick


%description
Particle Spraying CPU meter is an applet for KDE Kicker that displays the CPU activity 
by spraying animated particles into the small applet window. The amount of particles 
corresponds to the current CPU activity, while the amount of elements bouncing 
in the window can be considered to reflect the usage history of the past few seconds. 
The particles bounce back from the borders for a while before disappearing.


%prep
%setup -q -n %name
%patch0 -p1

%build
%configure --prefix=/usr/lib/kde3
%make_build


%install
mkdir -p  %buildroot%_libdir/kde3/
mkdir -p %buildroot/{%_miconsdir,%_niconsdir,%_liconsdir}

%make install DESTDIR="%buildroot"
mv %buildroot%_libdir/libkhelloworldapplet.so* %buildroot%_libdir/kde3/
convert -resize 48x48 %SOURCE1 %buildroot%_liconsdir/%name.png
convert -resize 32x32 %SOURCE1 %buildroot%_niconsdir/%name.png
convert -resize 16x16 %SOURCE1 %buildroot%_miconsdir/%name.png


%files
%doc README AUTHORS COPYING INSTALL
%_libdir/kde3/*
%_datadir/apps/kicker/applets/*
%_datadir/icons/*/*/apps/%name.png

%changelog
* Mon Sep 24 2007 Motsyo Gennadi <drool@altlinux.ru> 0-alt1.M40.1
- build for M40

* Wed Sep 19 2007 Motsyo Gennadi <drool@altlinux.ru> 0-alt2
- add icon

* Fri Sep 07 2007 Mikhail Pokidko <pma@altlinux.org> 0-alt1
- Initial ALT build


